UPDATE magicRun 
    JOIN magicDSRun USING(magic_id)
    JOIN magicDSFile USING(magic_ds_id)
    JOIN warpRun ON magic_ds_id = magicked
    JOIN warpSkyfile using(warp_id)
SET warpRun.magicked = 0,
    warpSkyfile.magicked = 0,
    magicDSRun.state = 'censored',
    magicDSFile.fault = 42
